package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.HwElectronicFence;

/**
 * 电子围栏Mapper接口
 * 
 * @author xins
 * @date 2023-09-04
 */
public interface HwElectronicFenceMapper 
{
    /**
     * 查询电子围栏
     * 
     * @param electronicFenceId 电子围栏主键
     * @return 电子围栏
     */
    public HwElectronicFence selectHwElectronicFenceByElectronicFenceId(Long electronicFenceId);

    /**
     * 查询电子围栏列表
     * 
     * @param hwElectronicFence 电子围栏
     * @return 电子围栏集合
     */
    public List<HwElectronicFence> selectHwElectronicFenceList(HwElectronicFence hwElectronicFence);

    /**
     * 新增电子围栏
     * 
     * @param hwElectronicFence 电子围栏
     * @return 结果
     */
    public int insertHwElectronicFence(HwElectronicFence hwElectronicFence);

    /**
     * 修改电子围栏
     * 
     * @param hwElectronicFence 电子围栏
     * @return 结果
     */
    public int updateHwElectronicFence(HwElectronicFence hwElectronicFence);

    /**
     * 删除电子围栏
     * 
     * @param electronicFenceId 电子围栏主键
     * @return 结果
     */
    public int deleteHwElectronicFenceByElectronicFenceId(Long electronicFenceId);

    /**
     * 批量删除电子围栏
     * 
     * @param electronicFenceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHwElectronicFenceByElectronicFenceIds(Long[] electronicFenceIds);
}
