package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.HwMonitorUnit;

/**
 * 监控单元Service接口
 * 
 * @author YINQ
 * @date 2023-08-31
 */
public interface IHwMonitorUnitService 
{
    /**
     * 查询监控单元
     * 
     * @param monitorUnitId 监控单元主键
     * @return 监控单元
     */
    public HwMonitorUnit selectHwMonitorUnitByMonitorUnitId(Long monitorUnitId);

    /**
     * 查询监控单元列表
     * 
     * @param hwMonitorUnit 监控单元
     * @return 监控单元集合
     */
    public List<HwMonitorUnit> selectHwMonitorUnitList(HwMonitorUnit hwMonitorUnit);

    /**
     * 新增监控单元
     * 
     * @param hwMonitorUnit 监控单元
     * @return 结果
     */
    public int insertHwMonitorUnit(HwMonitorUnit hwMonitorUnit);

    /**
     * 修改监控单元
     * 
     * @param hwMonitorUnit 监控单元
     * @return 结果
     */
    public int updateHwMonitorUnit(HwMonitorUnit hwMonitorUnit);

    /**
     * 批量删除监控单元
     * 
     * @param monitorUnitIds 需要删除的监控单元主键集合
     * @return 结果
     */
    public int deleteHwMonitorUnitByMonitorUnitIds(Long[] monitorUnitIds);

    /**
     * 删除监控单元信息
     * 
     * @param monitorUnitId 监控单元主键
     * @return 结果
     */
    public int deleteHwMonitorUnitByMonitorUnitId(Long monitorUnitId);
}
