package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.HwMonitorUnitMapper;
import com.ruoyi.business.domain.HwMonitorUnit;
import com.ruoyi.business.service.IHwMonitorUnitService;

/**
 * 监控单元Service业务层处理
 * 
 * @author YINQ
 * @date 2023-08-31
 */
@Service
public class HwMonitorUnitServiceImpl implements IHwMonitorUnitService 
{
    @Autowired
    private HwMonitorUnitMapper hwMonitorUnitMapper;

    /**
     * 查询监控单元
     * 
     * @param monitorUnitId 监控单元主键
     * @return 监控单元
     */
    @Override
    public HwMonitorUnit selectHwMonitorUnitByMonitorUnitId(Long monitorUnitId)
    {
        return hwMonitorUnitMapper.selectHwMonitorUnitByMonitorUnitId(monitorUnitId);
    }

    /**
     * 查询监控单元列表
     * 
     * @param hwMonitorUnit 监控单元
     * @return 监控单元
     */
    @Override
    public List<HwMonitorUnit> selectHwMonitorUnitList(HwMonitorUnit hwMonitorUnit)
    {
        return hwMonitorUnitMapper.selectHwMonitorUnitList(hwMonitorUnit);
    }

    /**
     * 新增监控单元
     * 
     * @param hwMonitorUnit 监控单元
     * @return 结果
     */
    @Override
    public int insertHwMonitorUnit(HwMonitorUnit hwMonitorUnit)
    {
        hwMonitorUnit.setCreateTime(DateUtils.getNowDate());
        return hwMonitorUnitMapper.insertHwMonitorUnit(hwMonitorUnit);
    }

    /**
     * 修改监控单元
     * 
     * @param hwMonitorUnit 监控单元
     * @return 结果
     */
    @Override
    public int updateHwMonitorUnit(HwMonitorUnit hwMonitorUnit)
    {
        hwMonitorUnit.setUpdateTime(DateUtils.getNowDate());
        return hwMonitorUnitMapper.updateHwMonitorUnit(hwMonitorUnit);
    }

    /**
     * 批量删除监控单元
     * 
     * @param monitorUnitIds 需要删除的监控单元主键
     * @return 结果
     */
    @Override
    public int deleteHwMonitorUnitByMonitorUnitIds(Long[] monitorUnitIds)
    {
        return hwMonitorUnitMapper.deleteHwMonitorUnitByMonitorUnitIds(monitorUnitIds);
    }

    /**
     * 删除监控单元信息
     * 
     * @param monitorUnitId 监控单元主键
     * @return 结果
     */
    @Override
    public int deleteHwMonitorUnitByMonitorUnitId(Long monitorUnitId)
    {
        return hwMonitorUnitMapper.deleteHwMonitorUnitByMonitorUnitId(monitorUnitId);
    }
}
