package com.ruoyi.tdengine.service.impl;

import com.ruoyi.common.core.constant.TdEngineConstants;
import com.ruoyi.tdengine.api.domain.DeviceStatus;
import com.ruoyi.tdengine.mapper.DeviceStatusMapper;
import com.ruoyi.tdengine.service.IDeviceStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
/**
 * @Description: 设备状态信息业务服务
 * @ClassName: DeviceStatusServiceImpl
 * @Author  : xins
 * @Date    :2023-09-05  13:27
 * @Version :1.0
 */
@Service
public class DeviceStatusServiceImpl implements IDeviceStatusService {

    @Autowired
    private DeviceStatusMapper deviceStatusMapper;

    /**
     * @param: DeviceStatus
     * @description 获取时间范围内每天的在线设备
     * @author xins
     * @date 2023-09-05 13:23
     * @return List<DeviceStatus>
     */
    @Override
    public List<DeviceStatus> getOnlineDevicesGroupByDay(DeviceStatus queryDeviceStatus) {
//        Map<String, Object> params = new HashMap<>();
//        DeviceStatus queryDeviceStatus = new DeviceStatus();
//        String databaseName = TdEngineConstants.getDatabaseName(sceneId);
//        String superTableName = TdEngineConstants.getDeviceStatusSuperTableName(sceneId);
//        params.put("databaseName", databaseName);
//        params.put("superTableName", superTableName);
//        params.put("beginTime", beginTime);
//        params.put("endTime", endTime);
//        queryDeviceStatus.setParams(params);
//        if (sceneId != null) {
//            queryDeviceStatus.setSceneId(sceneId);
//        }

        List<DeviceStatus> deviceStatuses = deviceStatusMapper.getOnlineDevicesGroupByDay(queryDeviceStatus);

        return deviceStatuses;
    }
}
